Package com.emc.d2fs.interfaces.externalshare

# Interface IExternalShareService

public interface IExternalShareService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CORE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileShare`
  `createRecipients(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, FileShare shareRequest, Map<String,Object>... others)`
  `FileShare`
  `createShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, FileShare share, Map<String,Object>... others)`
  `void`
  `deleteAllRecipients(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, Map<String,Object>... others)`
  `void`
  `deleteShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName)`
  `List<User>`
  `doUserSearch(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String searchKey, Map<String,Object>... others)`
  `List<Recipient>`
  `getRecipients(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, Map<String,Object>... others)`
  `FileShare`
  `getShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, Map<String,Object>... others)`
  `FileShare`
  `getShareContent(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, String shareVersionId, Map<String,Object>... others)`
  `FileShare`
  `updateRecipients(Context context, String objectId, String extShareSystemType, String srcAccessToken, String targetAccesToken, FileShare share, Map<String,Object>... others)`
  `FileShare`
  `updateShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, FileShare share, Map<String,Object>... others)`
  `void`
  `updateShareContent(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String oldObjectId, String newObjectId, FileShare share, boolean c2Override, Map<String,Object>... others)`

- ## Field Details

  - ### CORE

    static final String CORE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createShare

    FileShare createShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, FileShare share, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### updateShare

    FileShare updateShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, FileShare share, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### createRecipients

    FileShare createRecipients(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, FileShare shareRequest, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### updateRecipients

    FileShare updateRecipients(Context context, String objectId, String extShareSystemType, String srcAccessToken, String targetAccesToken, FileShare share, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### getShare

    FileShare getShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### getRecipients

    List<Recipient> getRecipients(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### deleteShare

    void deleteShare(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName) throws D2fsException
    Throws:
      `D2fsException`

  - ### deleteAllRecipients

    void deleteAllRecipients(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### getShareContent

    FileShare getShareContent(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String objectId, String shareName, String shareVersionId, Map<String,Object>... others) throws D2fsException, IOException
    Throws:
      `D2fsException`
      `IOException`

  - ### doUserSearch

    List<User> doUserSearch(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String searchKey, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`

  - ### updateShareContent

    void updateShareContent(Context context, String extShareSystemType, String srcAccessToken, String targetAccesToken, String oldObjectId, String newObjectId, FileShare share, boolean c2Override, Map<String,Object>... others) throws D2fsException
    Throws:
      `D2fsException`